summaryrefslogtreecommitdiff
path: root/tests/rm
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-11-21 09:32:55 +0100
committerJim Meyering <jim@meyering.net>2006-11-21 09:32:55 +0100
commitd66091126a729ffbdc53ac52cf31cb0b30e6711e (patch)
treee5d44063b94ef7c46ff6fc08d3d917eceb583788 /tests/rm
parent41b5fe32466744c703b23e2502d970bf2b4d593a (diff)
downloadcoreutils-d66091126a729ffbdc53ac52cf31cb0b30e6711e.tar.xz
* tests/rm/one-file-system: Upon setup failure (e.g., mount failure),
skip the test rather than failing. Reported by Michael Deutschmann.
Diffstat (limited to 'tests/rm')
-rwxr-xr-xtests/rm/one-file-system4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/rm/one-file-system b/tests/rm/one-file-system
index bb7ffeb20..66c04d5ec 100755
--- a/tests/rm/one-file-system
+++ b/tests/rm/one-file-system
@@ -51,8 +51,8 @@ rm: skipping `a/b', since it's on a different device
EOF
if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
+ echo "$0: setup failed; skipping this test" 1>&2
+ (exit 77); exit 77
fi
fail=0